Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84964 - evolution does not include my .signature file in my mails.
Summary: evolution does not include my .signature file in my mails.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: evolution
Version: phoebe
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-24 13:50 UTC by Dams
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-25 20:05:33 UTC


Attachments (Terms of Use)

Description Dams 2003-02-24 13:50:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
When i compose a mail in evolution my .signature does not appears in the  mail
body. There is just a "--" line with nothing under.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. evolution &
2. ctrl-n (for a new mail to send).
3. Select ".signature" for the "Signature:" entry
    

Actual Results:  the file is not included.

Expected Results:  I should see the ~/.signature file content

Additional info:

My ~/.signature file is not empty.

Comment 1 Jeremy Katz 2003-02-24 17:20:44 UTC
What did you set up in your signature preferences under
Settings->Composer->Signature?

Comment 2 Dams 2003-02-25 10:12:16 UTC
In Settings->Composer->Signature the .signature was an empty signature. So
evolution is surely consistent with itself.
But I think i understand : in evolution 1.0 (like in psyche), there was the
possibility to include a file as a signature. In evolution 1.2 there is no such
ability, instead you can execute a script and make its output as signature. Now,
I think it would be cool to have a default ".signature" signature that would
execute something like a simple `cat ~/.signature`. 

Comment 3 Jeremy Katz 2003-02-25 20:05:33 UTC
In 1.0, all that setting to a file did was actually read the file in.  The
default signature behavior in 1.2.x is a simple autogenerated signature.  Any
changes to this would have to be made on an upstream level.


Note You need to log in before you can comment on or make changes to this bug.